petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscViewerHDF5WriteAttribute

Write a scalar attribute

### Synopsis

    #include "petscsys.h"
    #include "petscviewerhdf5.h"
    PetscErrorCode PetscViewerHDF5WriteAttribute(PetscViewer viewer, const char parent[], const char name[], PetscDataType datatype, const void *value)

### Input Parameters

| viewer | - The HDF5 viewer
| parent | - The parent name
| name | - The attribute name
| datatype | - The attribute type
| value | - The attribute value

### See Also

PetscViewerHDF5Open(), PetscViewerHDF5ReadAttribute(), PetscViewerHDF5HasAttribute()

Level:advanced
Location:src/sys/classes/viewer/impls/hdf5/hdf5v.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages